#!/usr/bin/perl -w

use strict;
use Time::Piece::MySQL;

my $date = e2004-01-19 19:10:00f; # ̓܂Ńf[^߂
my $end = Time::Piece->from_mysql_datetime($date);

while(<>){
    if(/^#(\d{2})(\d{2})(\d{2}).*$/){
       my($date, $time, @other) = split(/\s+/);
       my($year, $mon, $day) = ($1 + 2000, $2, $3);
       my $time = Time::Piece->from_mysql_datetime(
                     sprintf('%04d-%02d-%02d %s', $year, $mon, $day, $time),
                  );
       last if $end < $time;
    }
    print $_;
}
