#!/usr/bin/perl -w

use strict;
use POSIX qw(strftime);
use Digest::MD5 qw(md5_hex);

my $time = time;
for(1 .. 1_000_000){
    my $body = md5_hex($_);
    my($name, $email) = $body =~ m|(\w{16})(\w{16})|;
    my $regist_date = strftime('%Y-%m-%d %T', localtime($time + (60*10*$_)));

    print join("\t", $name, $email, $body, $regist_date), "\n";
}
